package eu.dnetlib.repo.manager.domain;

import eu.dnetlib.domain.data.Repository;

/**
 * Created by stefania on 12/17/15.
 */
public class DatasourceRegistrationState extends WizardState {

    private String mode;
    private String selectedRepositoryId;

    private Repository repository;

    public DatasourceRegistrationState() {
    }

    public DatasourceRegistrationState(String mode, String selectedRepositoryId, Repository repository) {
        this.mode = mode;
        this.selectedRepositoryId = selectedRepositoryId;
        this.repository = repository;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getSelectedRepositoryId() {
        return selectedRepositoryId;
    }

    public void setSelectedRepositoryId(String selectedRepositoryId) {
        this.selectedRepositoryId = selectedRepositoryId;
    }

    public Repository getRepository() {
        return repository;
    }

    public void setRepository(Repository repository) {
        this.repository = repository;
    }
}
